// UpdateSquareCircle.java

import java.util.*;

import com.flagstone.transform.*;

public class UpdateSquareCircle
{
   public static void main (String [] args)
   {
      // Attempt to load squarecircle.swf into an FSMovie object.

      FSMovie movie = null;

      try
      {
          movie = new FSMovie ("squarecircle.swf");
      }
      catch (Exception e)
      {
          System.out.println (e);
          return;
      }

      // Create a new fill-style based on solid color blue.

      ArrayList<FSFillStyle> fillStyles = new ArrayList<FSFillStyle> ();
      fillStyles.add (new FSSolidFill (new FSColor (0, 0, 255)));

      // Retrieve all movie objects of type DefineShape.

      ArrayList objects = movie.getObjectsOfType (FSMovieObject.DefineShape);

      // There is only one FSDefineShape object in this movie, so we don't
      // have to worry about iterating over these objects. After retrieving
      // this object, set its fill-styles to the previously-created array.

      FSDefineShape shape = (FSDefineShape) objects.get (0);
      shape.setFillStyles (fillStyles);

      // Attempt to encode, possibly compress (Flash 6+), and output the movie
      // to a SWF file named squarecircle.swf.

      try
      {
          movie.encodeToFile ("squarecircle.swf");
      }
      catch (Exception e)
      {
          System.out.println (e);
      }
   }
}
